﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InitializerModel
{
    public class EvseSettingConfigModel
    {
        public string ModelName { get; set; }
        public string FourGenModuleVersion { get; set; }
        public string SubFourGenModuleVersion { get; set; }
        public bool IsSimInsert { get; set; }
        [Obsolete]
        public string ICCID { get; set; }
        [Obsolete]
        public string IMSI { get; set; }
        public string SimICCID { get; set; }
        public string SimIMSI { get; set; }
        public bool IsSubSimInsert { get; set; }
        public string SubSimICCID { get; set; }
        public string SubSimIMSI { get; set; }
        public ButtonTestModeType ButtonTestMode { get; set; }
        [Obsolete]
        public bool SkipEmergencyButton { get; set; }
        [Obsolete]
        public bool SkipButtonTest { get; set; }
        public string IpAddress { get; set; }
        public bool IsDisableAuthRequired { get; set; }
        public List<FirmwareUpdateModel> FirmwareUpdateList { get; set; }
    }

    public enum ButtonTestModeType
    {
        All,
        SkipButtonTest,
        SkipNormalButton,
        SkipEmergencyButton,
    }
}
